Subject: Re: bug#56443: 28.1; Mac segmentation fault with ffap

From: Daniel Martín <[email-masked]>
Date: Thu, 07 Jul 2022 22:36:53 +0200

Stephen Eglen <[email-masked]> writes:

> Can anyone replicate the following on Mac M1?  I'm using the 'emacs'
> cask from homebrew, and I get the crash both with GUI and terminal
> version of Emacs.  This seems to be mac-specific; I do not see the
> problem on linux.
>

Yes, I can reproduce the crash.  Attaching a debugger I see that the
filename passed through file-name-case-insensitive-p is NULL:

* thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x4)
  * frame #0: 0x0000000100d61c2c emacs`STRING_MULTIBYTE(str=0x0000000000000000) at lisp.h:1613:34
    frame #1: 0x0000000100d64f68 emacs`encode_file_name_1(fname=0x0000000000000000) at coding.c:10397:8
    frame #2: 0x0000000100d64f28 emacs`encode_file_name(fname=0x0000000000000000) at coding.c:10419:25
    frame #3: 0x0000000100e2e098 emacs`file_name_case_insensitive_err(file=0x0000000000000000) at fileio.c:2555:28
    frame #4: 0x0000000100e2dfcc emacs`Ffile_name_case_insensitive_p(filename=0x0000000000000000) at fileio.c:2600:17
    frame #5: 0x0000000100ec47ac emacs`funcall_subr(subr=0x0000000101083bb8, numargs=1, args=0x0000000138058580) at eval.c:2996:15